# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _python_bytecompile_extra 1

Name:          sugar-stopwatch
Version:       21
Release:       1%{?dist}
Summary:       Simple stopwatch for Sugar
License:       GPLv3+
URL:           http://wiki.laptop.org/go/Stopwatch
Source0:       https://download.sugarlabs.org/sources/honey/StopWatch/StopWatch-%{version}.tar.bz2
BuildArch:     noarch

BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
BuildRequires: telepathy-glib-devel
BuildRequires: gettext
Requires: sugar

%description
This activity provides multiple stopwatches to time events with. Provide a 
useful timer for races, velocity measurements, etc.  Be accessible to 
innumerate users. Help develop numeracy. Sharing of stopwatch sets, which 
anyone can manipulate. 

%prep
%autosetup -n StopWatch-%{version}

sed -i 's/python/python3/' setup.py

%build
python3 ./setup.py build

%install
python3 ./setup.py install --prefix=%{buildroot}/%{_prefix}
rm %{buildroot}%{_prefix}/share/applications/*.desktop || true
%find_lang org.laptop.StopWatchActivity

%files -f org.laptop.StopWatchActivity.lang
%license COPYING
%doc NEWS
%{sugaractivitydir}/StopWatch.activity/


%changelog
* Tue Feb 11 2020 Chihurumnaya Ibiam <ibiamchihurumnaya@gmail.com> - 21-1
- v21
- Update Python 3 depedency declarations
- Remove addition to activity.info file

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan  7 2019 Peter Robinson <pbrobinson@fedoraproject.org> 20.1-1
- Release 20.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 05 2018 Kalpa Welivitigoda <callkalpa@gmail.com> - 20-1
- Release 20

* Wed Feb 21 2018 Iryna Shcherbina <ishcherb@redhat.com> - 19-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 19-1
- Release 19

* Sat Apr 29 2017 Kalpa Welivitigoda <callkalpa@gmail.com> - 18-9
- Fix FTBFS issue

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 09 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 18-6
- fixes FTBFS rh#1240042

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Peter Robinson <pbrobinson@fedoraproject.org> 18-1
- Release 18

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 15-1
- update to v15

* Thu Mar  8 2012 Tom Callaway <spot@fedoraproject.org> - 14-1
- update to v14

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr  4 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 8-1
- New upstream v8

* Tue Mar  8 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 5-1
- New upstream v5

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20090126
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0-0.4.20090126
- recompiling .py files against Python 2.7 (rhbz#623387)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20090126
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.20090126
- Fixed version and release

* Mon Jan 26 2009 Fabian Affolter <fabian@bernewireless.net> - 20090126-1
- Initial package for Fedora
